Last Comment Bug 775031 - GCLI should display [options] rather than either hiding them or showing them all
: GCLI should display [options] rather than either hiding them or showing them all
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: Firefox 17
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
: Brian Grinstead [:bgrins]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 02:48 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2012-08-25 17:01 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (24.00 KB, patch)
2012-08-02 12:07 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
dcamp: review+
Details | Diff | Splinter Review
v2 (17.18 KB, patch)
2012-08-20 06:35 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
no flags Details | Diff | Splinter Review

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-07-18 02:48:08 PDT
For named parameters not positional parameters.
Particularly useful for commands like 'jsb'.
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-08-02 12:07:33 PDT
Created attachment 648425 [details] [diff] [review]
v1

harth has looked at this patch here https://github.com/harthur/gcli/pull/4
I think Heather was done but I'm not sure, Dave please could you either take a quick look, or rubber stamp Heather's review?
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-08-20 06:35:41 PDT
Created attachment 653352 [details] [diff] [review]
v2

rebase
Comment 3 Rob Campbell [:rc] (:robcee) 2012-08-24 06:29:57 PDT
Backed out in:

https://hg.mozilla.org/integration/fx-team/rev/f4596ef17eed
Comment 4 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-08-24 11:16:09 PDT
Re-land
https://tbpl.mozilla.org/?tree=Fx-Team&rev=c80d0e010be3
Comment 5 Dave Camp (:dcamp) 2012-08-25 16:59:43 PDT
https://hg.mozilla.org/mozilla-central/rev/7bf846af58d3
Comment 6 Dave Camp (:dcamp) 2012-08-25 17:01:32 PDT
https://hg.mozilla.org/mozilla-central/rev/a275a3c32e71 was the relanded changeset.

Note You need to log in before you can comment on or make changes to this bug.